package com.yeejoin.amos.boot.module.tcm.api.service.statistics;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.tcm.api.dto.*;
import com.yeejoin.amos.boot.module.tcm.api.enums.DispatchPaperEnums;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import java.util.List;
import java.util.Map;

/**
 * 大屏接口类
 *
 * @author maxy
 * @date 2024-07-09
 */
@Service
public interface IScreenService {
    List<Map<String,Object>> companyInfo(ScreenDto screenDto);

    List<Map<String,Object>> testOrg(ScreenDto screenDto);

    Map<String,Object> userCount(ScreenDto screenDto);

    Map<String,Object> supervisorCount(ScreenDto screenDto);

    List<Map<String,Object>> equipmentInformCount(ScreenDto screenDto);
}
